#ifndef POWERSAVE_APM_H
#define POWERSAVE_APM_H

#include <pthread.h>

#define APM_BIOS_DEV	"/dev/apm_bios"
#define MAX_EVENTS 8


class APM_Interface : public PM_Interface
{
 public:
	// default initialisation
	APM_Interface(GeneralConfig *config_obj);
        virtual ~APM_Interface();
	virtual int openHWEventFD();
	virtual int openAcpidSocket();
	virtual int handleHWEventRequest();
	/* these are suspend for APM (doing the same)*/
	virtual int suspend_to_ram();
	/* this is standby for APM */
	virtual int standby();
	virtual void activateSettings();
};

#endif
